org.apache.mina.example.chat.client

## Interface SwingChatClientHandler.Callback

- All Known Implementing Classes:
    SwingChatClient
  Enclosing class:
    SwingChatClientHandler

      public static interface SwingChatClientHandler.Callback

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected()`
    `void` | `disconnected()`
    `void` | `error(String message)`
    `void` | `loggedIn()`
    `void` | `loggedOut()`
    `void` | `messageReceived(String message)`

- - ### Method Detail

    - #### connected

          void connected()

    - #### loggedIn

          void loggedIn()

    - #### loggedOut

          void loggedOut()

    - #### disconnected

          void disconnected()

    - #### messageReceived

          void messageReceived(String message)

    - #### error

          void error(String message)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.